
package com.ejie.m62fb.ws.client.x43Toolkit;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the com.ejie.m62fb.ws.x43Toolkit package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _StackDataResponse_QNAME = new QName("com/ejie/toolkit/xml", "stackDataResponse");
    private final static QName _GetRequestInformation_QNAME = new QName("com/ejie/toolkit/xml", "getRequestInformation");
    private final static QName _GetRequestInformationResponse_QNAME = new QName("com/ejie/toolkit/xml", "getRequestInformationResponse");
    private final static QName _SaveDataPreload_QNAME = new QName("com/ejie/toolkit/xml", "saveDataPreload");
    private final static QName _Exception_QNAME = new QName("com/ejie/toolkit/xml", "Exception");
    private final static QName _SaveDataPreloadResponse_QNAME = new QName("com/ejie/toolkit/xml", "saveDataPreloadResponse");
    private final static QName _StackData_QNAME = new QName("com/ejie/toolkit/xml", "stackData");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: com.ejie.m62fb.ws.x43Toolkit
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link Exception }
     * 
     */
    public Exception createException() {
        return new Exception();
    }

    /**
     * Create an instance of {@link SaveDataPreload }
     * 
     */
    public SaveDataPreload createSaveDataPreload() {
        return new SaveDataPreload();
    }

    /**
     * Create an instance of {@link StackData }
     * 
     */
    public StackData createStackData() {
        return new StackData();
    }

    /**
     * Create an instance of {@link SaveDataPreloadResponse }
     * 
     */
    public SaveDataPreloadResponse createSaveDataPreloadResponse() {
        return new SaveDataPreloadResponse();
    }

    /**
     * Create an instance of {@link GetRequestInformation }
     * 
     */
    public GetRequestInformation createGetRequestInformation() {
        return new GetRequestInformation();
    }

    /**
     * Create an instance of {@link StackDataResponse }
     * 
     */
    public StackDataResponse createStackDataResponse() {
        return new StackDataResponse();
    }

    /**
     * Create an instance of {@link GetRequestInformationResponse }
     * 
     */
    public GetRequestInformationResponse createGetRequestInformationResponse() {
        return new GetRequestInformationResponse();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link StackDataResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "com/ejie/toolkit/xml", name = "stackDataResponse")
    public JAXBElement<StackDataResponse> createStackDataResponse(StackDataResponse value) {
        return new JAXBElement<StackDataResponse>(_StackDataResponse_QNAME, StackDataResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetRequestInformation }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "com/ejie/toolkit/xml", name = "getRequestInformation")
    public JAXBElement<GetRequestInformation> createGetRequestInformation(GetRequestInformation value) {
        return new JAXBElement<GetRequestInformation>(_GetRequestInformation_QNAME, GetRequestInformation.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetRequestInformationResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "com/ejie/toolkit/xml", name = "getRequestInformationResponse")
    public JAXBElement<GetRequestInformationResponse> createGetRequestInformationResponse(GetRequestInformationResponse value) {
        return new JAXBElement<GetRequestInformationResponse>(_GetRequestInformationResponse_QNAME, GetRequestInformationResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link SaveDataPreload }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "com/ejie/toolkit/xml", name = "saveDataPreload")
    public JAXBElement<SaveDataPreload> createSaveDataPreload(SaveDataPreload value) {
        return new JAXBElement<SaveDataPreload>(_SaveDataPreload_QNAME, SaveDataPreload.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Exception }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "com/ejie/toolkit/xml", name = "Exception")
    public JAXBElement<Exception> createException(Exception value) {
        return new JAXBElement<Exception>(_Exception_QNAME, Exception.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link SaveDataPreloadResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "com/ejie/toolkit/xml", name = "saveDataPreloadResponse")
    public JAXBElement<SaveDataPreloadResponse> createSaveDataPreloadResponse(SaveDataPreloadResponse value) {
        return new JAXBElement<SaveDataPreloadResponse>(_SaveDataPreloadResponse_QNAME, SaveDataPreloadResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link StackData }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "com/ejie/toolkit/xml", name = "stackData")
    public JAXBElement<StackData> createStackData(StackData value) {
        return new JAXBElement<StackData>(_StackData_QNAME, StackData.class, null, value);
    }

}
